{"openapi":"3.1.0","info":{"title":"GTS Events API","description":"The GTS Events API collects and stores events that can be passed to the GoGame API provider and Business Intelligence (BI) teams. The events that can sent include: install, purchase, sessionStart, sessionEnd, and any custom defined events for the application. GoGame is an event acquisition platform, where data is processed for UA conversion. The BI data stream stores data which powers the Looker dashboard. Additionally, any data collected by the app is available to the game's data analytics team.","license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0"},"version":"v1.0"},"servers":[{"url":"https://sandbox.mobile.bigfishgames.com","description":"Sandbox environment"},{"url":"https://test.mobile.bigfishgames.com","description":"Test environment"},{"url":"https://mobile.bigfishgames.com","description":"Production environment"}],"paths":{"/events/{eventType}/{appName}/{version}":{"post":{"tags":["Events"],"summary":"Custom Event with Custom Schema","description":"Post a Custom Event to track miscellaneous behaviours in your application. This endpoint requires the creation of a new schema for the custom event.","operationId":"post-custom-with-schema","parameters":[{"name":"eventType","in":"path","description":"Event Type. Provide a name for the custom event type without whitespaces.","required":true,"schema":{"type":"string"},"example":"sampleEvent"},{"name":"appName","in":"path","description":"Application Name. This cannot include whitespaces.","required":true,"schema":{"type":"string"},"example":"sampleGame"},{"name":"version","in":"path","description":"Version","required":true,"schema":{"type":"string"},"example":"1.0.0"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"https://cdn-content.bigfishgames.com/gts/schemas/events/sampleGame/sampleEvent/1.0.0/schema.json"},"examples":{"Custom Request":{"description":"Sample Custom Request","externalValue":"https://cdn-content.bigfishgames.com/gts/schemas/tests/sampleGame/sampleEvent/1.0.0/valid.json"}}}},"required":true},"responses":{"404":{"description":"Invalid URL. Ensure you have the proper URL specified that matches GTS documentation in the Developer Portal.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundResponse"}}}},"504":{"description":"Timeout from Service. Check the Developer Portal and retry request as needed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeoutResponse"}}}},"500":{"description":"Check the Publisher Portal > Event Log Tool to see what the issue is, if there are no visible issues, please contact the GTS team.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerErrorResponse"}}}},"403":{"description":"Invalid API Key. Ensure you have a valid API Key for your application to access this environment.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PermissionDeniedResponse"}}}},"200":{"description":"OK. This was a successful response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidResponse"}}}},"400":{"description":"Bad Request. Ensure your request matches the schema validation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestResponse"}}}}},"security":[{"x-api-key":[]}]}},"/events/sessionStart/{appName}/{version}":{"post":{"tags":["Events"],"summary":"Session Start Event","description":"Post a Session Start Event whenever the application is opened or returns to the foreground.","operationId":"post-session-start","parameters":[{"name":"appName","in":"path","description":"Application Name. This must be lowercase and cannot include whitespaces.","required":true,"schema":{"type":"string"},"example":"sdkdefault"},{"name":"version","in":"path","description":"Version","required":true,"schema":{"type":"string"},"example":"3.0.0"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"https://cdn-content.bigfishgames.com/gts/schemas/events/standard/sessionStart/3.0.0/schema.json"},"examples":{"Session Start Request":{"description":"Sample Session Start Request","externalValue":"https://cdn-content.bigfishgames.com/gts/schemas/tests/standard/sessionStart/3.0.0/valid.json"}}}},"required":true},"responses":{"404":{"description":"Invalid URL. Ensure you have the proper URL specified that matches GTS documentation in the Developer Portal.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundResponse"}}}},"504":{"description":"Timeout from Service. Check the Developer Portal and retry request as needed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeoutResponse"}}}},"500":{"description":"Check the Publisher Portal > Event Log Tool to see what the issue is, if there are no visible issues, please contact the GTS team.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerErrorResponse"}}}},"403":{"description":"Invalid API Key. Ensure you have a valid API Key for your application to access this environment.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PermissionDeniedResponse"}}}},"200":{"description":"OK. This was a successful response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidResponse"}}}},"400":{"description":"Bad Request. Ensure your request matches the schema validation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestResponse"}}}}},"security":[{"x-api-key":[]}]}},"/events/sessionEnd/{appName}/{version}":{"post":{"tags":["Events"],"summary":"Session End Event","description":"Post a Session End Event whenever the application is closed or goes to the background.","operationId":"post-session-end","parameters":[{"name":"appName","in":"path","description":"Application Name. This must be lowercase and cannot include whitespaces.","required":true,"schema":{"type":"string"},"example":"sdkdefault"},{"name":"version","in":"path","description":"Version","required":true,"schema":{"type":"string"},"example":"3.0.0"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"https://cdn-content.bigfishgames.com/gts/schemas/events/standard/sessionEnd/3.0.0/schema.json"},"examples":{"Session End Request":{"description":"Sample Session End Request","externalValue":"https://cdn-content.bigfishgames.com/gts/schemas/tests/standard/sessionEnd/3.0.0/valid.json"}}}},"required":true},"responses":{"404":{"description":"Invalid URL. Ensure you have the proper URL specified that matches GTS documentation in the Developer Portal.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundResponse"}}}},"504":{"description":"Timeout from Service. Check the Developer Portal and retry request as needed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeoutResponse"}}}},"500":{"description":"Check the Publisher Portal > Event Log Tool to see what the issue is, if there are no visible issues, please contact the GTS team.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerErrorResponse"}}}},"403":{"description":"Invalid API Key. Ensure you have a valid API Key for your application to access this environment.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PermissionDeniedResponse"}}}},"200":{"description":"OK. This was a successful response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidResponse"}}}},"400":{"description":"Bad Request. Ensure your request matches the schema validation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestResponse"}}}}},"security":[{"x-api-key":[]}]}},"/events/purchase/{appName}/{version}":{"post":{"tags":["Events"],"summary":"Purchase Event","description":"Post a Purchase Event whenever a successful purchase or restore is made.","operationId":"post-purchase","parameters":[{"name":"appName","in":"path","description":"Application Name. This must be lowercase and cannot include whitespaces.","required":true,"schema":{"type":"string"},"example":"sdkdefault"},{"name":"version","in":"path","description":"Version","required":true,"schema":{"type":"string"},"example":"3.0.0"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"https://cdn-content.bigfishgames.com/gts/schemas/events/standard/purchase/3.0.0/schema.json"},"examples":{"Purchase Request":{"description":"Sample Purchase Request","externalValue":"https://cdn-content.bigfishgames.com/gts/schemas/tests/standard/purchase/3.0.0/valid.json"}}}},"required":true},"responses":{"404":{"description":"Invalid URL. Ensure you have the proper URL specified that matches GTS documentation in the Developer Portal.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundResponse"}}}},"504":{"description":"Timeout from Service. Check the Developer Portal and retry request as needed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeoutResponse"}}}},"500":{"description":"Check the Publisher Portal > Event Log Tool to see what the issue is, if there are no visible issues, please contact the GTS team.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerErrorResponse"}}}},"403":{"description":"Invalid API Key. Ensure you have a valid API Key for your application to access this environment.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PermissionDeniedResponse"}}}},"200":{"description":"OK. This was a successful response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidResponse"}}}},"400":{"description":"Bad Request. Ensure your request matches the schema validation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestResponse"}}}}},"security":[{"x-api-key":[]}]}},"/events/install/{appName}/{version}":{"post":{"tags":["Events"],"summary":"Install Event","description":"Post a Install Event when the application is installed and on the application's first launch.","operationId":"post-install","parameters":[{"name":"appName","in":"path","description":"Application Name. This must be lowercase and cannot include whitespaces.","required":true,"schema":{"type":"string"},"example":"sdkdefault"},{"name":"version","in":"path","description":"Version","required":true,"schema":{"type":"string"},"example":"3.0.0"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"https://cdn-content.bigfishgames.com/gts/schemas/events/standard/install/3.0.0/schema.json"},"examples":{"Install Request":{"description":"Sample Install Request","externalValue":"https://cdn-content.bigfishgames.com/gts/schemas/tests/standard/install/3.0.0/valid.json"}}}},"required":true},"responses":{"404":{"description":"Invalid URL. Ensure you have the proper URL specified that matches GTS documentation in the Developer Portal.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundResponse"}}}},"504":{"description":"Timeout from Service. Check the Developer Portal and retry request as needed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeoutResponse"}}}},"500":{"description":"Check the Publisher Portal > Event Log Tool to see what the issue is, if there are no visible issues, please contact the GTS team.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerErrorResponse"}}}},"403":{"description":"Invalid API Key. Ensure you have a valid API Key for your application to access this environment.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PermissionDeniedResponse"}}}},"200":{"description":"OK. This was a successful response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidResponse"}}}},"400":{"description":"Bad Request. Ensure your request matches the schema validation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestResponse"}}}}},"security":[{"x-api-key":[]}]}},"/events/custom/{appName}/{version}":{"post":{"tags":["Events"],"summary":"Custom Event","description":"Post a Custom Event to track miscellaneous behaviours in your application.","operationId":"post-custom","parameters":[{"name":"appName","in":"path","description":"Application Name. This must be lowercase and cannot include whitespaces.","required":true,"schema":{"type":"string"},"example":"sdkdefault"},{"name":"version","in":"path","description":"Version","required":true,"schema":{"type":"string"},"example":"3.0.0"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"https://cdn-content.bigfishgames.com/gts/schemas/events/standard/custom/3.0.0/schema.json"},"examples":{"Custom Request":{"description":"Sample Custom Request","externalValue":"https://cdn-content.bigfishgames.com/gts/schemas/tests/standard/custom/3.0.0/valid.json"}}}},"required":true},"responses":{"404":{"description":"Invalid URL. Ensure you have the proper URL specified that matches GTS documentation in the Developer Portal.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundResponse"}}}},"504":{"description":"Timeout from Service. Check the Developer Portal and retry request as needed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeoutResponse"}}}},"500":{"description":"Check the Publisher Portal > Event Log Tool to see what the issue is, if there are no visible issues, please contact the GTS team.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerErrorResponse"}}}},"403":{"description":"Invalid API Key. Ensure you have a valid API Key for your application to access this environment.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PermissionDeniedResponse"}}}},"200":{"description":"OK. This was a successful response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidResponse"}}}},"400":{"description":"Bad Request. Ensure your request matches the schema validation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestResponse"}}}}},"security":[{"x-api-key":[]}]}}},"components":{"schemas":{"NotFoundResponse":{"properties":{"code":{"type":"integer","format":"int32","description":"Http Status Code","example":404},"message":{"type":"string","description":"Message","example":"The current request is not defined by this API."}}},"TimeoutResponse":{"properties":{"code":{"type":"integer","format":"int32","description":"Http Status Code","example":504},"message":{"type":"string","description":"Message","example":"API Gateway - upstream request timeout"}}},"ServerErrorResponse":{"properties":{"code":{"type":"integer","format":"int32","description":"Http Status Code","example":500},"message":{"type":"string","description":"Message","example":"Unable to process request"},"requestId":{"type":"string","description":"Trace Request Id","example":"8eff171f8086f737d278ff356757bb40"},"errors":{"type":"array","description":"List of possible errors","items":{"type":"string","description":"List of possible errors"}}}},"PermissionDeniedResponse":{"properties":{"code":{"type":"integer","format":"int32","description":"Http Status Code","example":403},"message":{"type":"string","description":"Message","example":"PERMISSION_DENIED: Client application blocked."}}},"ValidResponse":{"properties":{"code":{"type":"integer","format":"int32","description":"Http Status Code","example":200},"message":{"type":"string","description":"Message","example":"accepted"},"requestId":{"type":"string","description":"Trace Request Id","example":"1595b8efccfb049a1dd587dd6beec99a"}}},"BadRequestResponse":{"properties":{"code":{"type":"integer","format":"int32","description":"Http Status Code","example":400},"message":{"type":"string","description":"Message","example":"Schema Validation Error"},"requestId":{"type":"string","description":"Trace Request Id","example":"731bb6afc9297dc1b45d7c3f11fd3d2b"},"errors":{"type":"array","description":"List of possible errors","items":{"type":"string","description":"List of possible errors"}}}}},"securitySchemes":{"x-api-key":{"type":"apiKey","name":"x-api-key","in":"header"}}}}